Bug 998715 - Package Sanity Test Failures for Client and Compute Node Arches
Summary: Package Sanity Test Failures for Client and Compute Node Arches
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: pki-core
Version: 6.5
Hardware: Unspecified
OS: Unspecified
high
unspecified
Target Milestone: rc
: ---
Assignee: Matthew Harmsen
QA Contact: Asha Akkiangady
URL:
Whiteboard:
: 999918 (view as bug list)
Depends On:
Blocks: 972747
TreeView+ depends on / blocked
 
Reported: 2013-08-19 20:31 UTC by Jenny Severance
Modified: 2013-11-21 22:26 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-11-21 22:26:01 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2013:1682 normal SHIPPED_LIVE pki-core bug fix update 2013-11-20 21:52:34 UTC

Description Jenny Severance 2013-08-19 20:31:58 UTC
Description of problem:

Delete tests:

begin at 08/15/2013 14:06:40 on x86-64-6cn-v1.ss.eng.bos.redhat.com
PkgState: oldCnt 13 ; oldInstCnt 0 ; newCnt 13 ; newInstCnt 13 ; none = 0 ; dropCnt 0 ; addCnt 0 ; strayCnt 0
0 of 13 OLD, 13 of 13 NEW, and 0 STRAY packages are installed
doRpmCommand: rpm -e pki-core-debuginfo-9.0.3-31.el6.x86_64 pki-silent-9.0.3-31.el6.noarch pki-common-javadoc-9.0.3-31.el6.noarch pki-selinux-9.0.3-31.el6.noarch pki-common-9.0.3-31.el6.noarch pki-symkey-9.0.3-31.el6.x86_64 pki-java-tools-9.0.3-31.el6.noarch pki-ca-9.0.3-31.el6.noarch pki-util-9.0.3-31.el6.noarch pki-java-tools-javadoc-9.0.3-31.el6.noarch pki-native-tools-9.0.3-31.el6.x86_64 pki-util-javadoc-9.0.3-31.el6.noarch pki-setup-9.0.3-31.el6.noarch
doRpmCommand-result (0): /sbin/restorecon: lstat(/etc/pki-ca*) failed: No such file or directory
/sbin/restorecon: lstat(/etc/pki-kra*) failed: No such file or directory
/sbin/restorecon: lstat(/etc/pki-ocsp*) failed: No such file or directory
/sbin/restorecon: lstat(/etc/pki-ra*) failed: No such file or directory
/sbin/restorecon: lstat(/etc/pki-tks*) failed: No such file or directory
/sbin/restorecon: lstat(/etc/pki-tps*) failed: No such file or directory
/sbin/restorecon: lstat(/etc/sysconfig/pki/ca*) failed: No such file or directory
/sbin/restorecon: lstat(/etc/sysconfig/pki/kra*) failed: No such file or directory
/sbin/restorecon: lstat(/etc/sysconfig/pki/ocsp*) failed: No such file or directory
/sbin/restorecon: lstat(/etc/sysconfig/pki/ra*) failed: No such file or directory
/sbin/restorecon: lstat(/etc/sysconfig/pki/tks*) failed: No such file or directory
/sbin/restorecon: lstat(/etc/sysconfig/pki/tps*) failed: No such file or directory
/sbin/restorecon: lstat(/opt/nfast*) failed: No such file or directory
/sbin/restorecon: lstat(/usr/bin/dtomcat5-pki-ca) failed: No such file or directory
/sbin/restorecon: lstat(/usr/bin/dtomcat5-pki-kra) failed: No such file or directory
/sbin/restorecon: lstat(/usr/bin/dtomcat5-pki-ocsp) failed: No such file or directory
/sbin/restorecon: lstat(/usr/bin/dtomcat5-pki-tks) failed: No such file or directory
/sbin/restorecon: lstat(/var/lib/pki-ca*) failed: No such file or directory
/sbin/restorecon: lstat(/var/lib/pki-kra*) failed: No such file or directory
/sbin/restorecon: lstat(/var/lib/pki-ocsp*) failed: No such file or directory
/sbin/restorecon: lstat(/var/lib/pki-ra*) failed: No such file or directory
/sbin/restorecon: lstat(/var/lib/pki-tks*) failed: No such file or directory
/sbin/restorecon: lstat(/var/lib/pki-tps*) failed: No such file or directory
/sbin/restorecon: lstat(/var/log/pki-ca*) failed: No such file or directory
/sbin/restorecon: lstat(/var/log/pki-kra*) failed: No such file or directory
/sbin/restorecon: lstat(/var/log/pki-ocsp*) failed: No such file or directory
/sbin/restorecon: lstat(/var/log/pki-ra*) failed: No such file or directory
/sbin/restorecon: lstat(/var/log/pki-tks*) failed: No such file or directory
/sbin/restorecon: lstat(/var/log/pki-tps*) failed: No such file or directory
/sbin/restorecon: lstat(/var/run/pki/ca*) failed: No such file or directory
/sbin/restorecon: lstat(/var/run/pki-ca.pid) failed: No such file or directory
/sbin/restorecon: lstat(/var/run/pki/kra*) failed: No such file or directory
/sbin/restorecon: lstat(/var/run/pki-kra.pid) failed: No such file or directory
/sbin/restorecon: lstat(/var/run/pki/ocsp*) failed: No such file or directory
/sbin/restorecon: lstat(/var/run/pki-ocsp.pid) failed: No such file or directory
/sbin/restorecon: lstat(/var/run/pki/ra*) failed: No such file or directory
/sbin/restorecon: lstat(/var/run/pki/tks*) failed: No such file or directory
/sbin/restorecon: lstat(/var/run/pki-tks.pid) failed: No such file or directory
/sbin/restorecon: lstat(/var/run/pki/tps*) failed: No such file or directory
PkgState: oldCnt 13 ; oldInstCnt 0 ; newCnt 13 ; newInstCnt 0 ; none = 13 ; dropCnt 0 ; addCnt 0 ; strayCnt 0
0 of 13 OLD, 0 of 13 NEW, and 0 STRAY packages are installed
Error|Fail string detected in rpmOutput, although package state is 'none'.
Delete test FAILED
Output from RPM Command:
/sbin/restorecon: lstat(/etc/pki-ca*) failed: No such file or directory
/sbin/restorecon: lstat(/etc/pki-kra*) failed: No such file or directory
/sbin/restorecon: lstat(/etc/pki-ocsp*) failed: No such file or directory
/sbin/restorecon: lstat(/etc/pki-ra*) failed: No such file or directory
/sbin/restorecon: lstat(/etc/pki-tks*) failed: No such file or directory
/sbin/restorecon: lstat(/etc/pki-tps*) failed: No such file or directory
/sbin/restorecon: lstat(/etc/sysconfig/pki/ca*) failed: No such file or directory
/sbin/restorecon: lstat(/etc/sysconfig/pki/kra*) failed: No such file or directory
/sbin/restorecon: lstat(/etc/sysconfig/pki/ocsp*) failed: No such file or directory
/sbin/restorecon: lstat(/etc/sysconfig/pki/ra*) failed: No such file or directory
/sbin/restorecon: lstat(/etc/sysconfig/pki/tks*) failed: No such file or directory
/sbin/restorecon: lstat(/etc/sysconfig/pki/tps*) failed: No such file or directory
/sbin/restorecon: lstat(/opt/nfast*) failed: No such file or directory
/sbin/restorecon: lstat(/usr/bin/dtomcat5-pki-ca) failed: No such file or directory
/sbin/restorecon: lstat(/usr/bin/dtomcat5-pki-kra) failed: No such file or directory
/sbin/restorecon: lstat(/usr/bin/dtomcat5-pki-ocsp) failed: No such file or directory
/sbin/restorecon: lstat(/usr/bin/dtomcat5-pki-tks) failed: No such file or directory
/sbin/restorecon: lstat(/var/lib/pki-ca*) failed: No such file or directory
/sbin/restorecon: lstat(/var/lib/pki-kra*) failed: No such file or directory
/sbin/restorecon: lstat(/var/lib/pki-ocsp*) failed: No such file or directory
/sbin/restorecon: lstat(/var/lib/pki-ra*) failed: No such file or directory
/sbin/restorecon: lstat(/var/lib/pki-tks*) failed: No such file or directory
/sbin/restorecon: lstat(/var/lib/pki-tps*) failed: No such file or directory
/sbin/restorecon: lstat(/var/log/pki-ca*) failed: No such file or directory
/sbin/restorecon: lstat(/var/log/pki-kra*) failed: No such file or directory
/sbin/restorecon: lstat(/var/log/pki-ocsp*) failed: No such file or directory
/sbin/restorecon: lstat(/var/log/pki-ra*) failed: No such file or directory
/sbin/restorecon: lstat(/var/log/pki-tks*) failed: No such file or directory
/sbin/restorecon: lstat(/var/log/pki-tps*) failed: No such file or directory
/sbin/restorecon: lstat(/var/run/pki/ca*) failed: No such file or directory
/sbin/restorecon: lstat(/var/run/pki-ca.pid) failed: No such file or directory
/sbin/restorecon: lstat(/var/run/pki/kra*) failed: No such file or directory
/sbin/restorecon: lstat(/var/run/pki-kra.pid) failed: No such file or directory
/sbin/restorecon: lstat(/var/run/pki/ocsp*) failed: No such file or directory
/sbin/restorecon: lstat(/var/run/pki-ocsp.pid) failed: No such file or directory
/sbin/restorecon: lstat(/var/run/pki/ra*) failed: No such file or directory
/sbin/restorecon: lstat(/var/run/pki/tks*) failed: No such file or directory
/sbin/restorecon: lstat(/var/run/pki-tks.pid) failed: No such file or directory
/sbin/restorecon: lstat(/var/run/pki/tps*) failed: No such file or directory
Old packages: /mnt/redhat/brewroot/packages/pki-core/9.0.3/30.el6/data/signed/fd431d51/x86_64/pki-core-debuginfo-9.0.3-30.el6.x86_64.rpm /mnt/redhat/brewroot/packages/pki-core/9.0.3/30.el6/data/signed/fd431d51/noarch/pki-common-9.0.3-30.el6.noarch.rpm /mnt/redhat/brewroot/packages/pki-core/9.0.3/30.el6/data/signed/fd431d51/x86_64/pki-native-tools-9.0.3-30.el6.x86_64.rpm /mnt/redhat/brewroot/packages/pki-core/9.0.3/30.el6/data/signed/fd431d51/noarch/pki-java-tools-9.0.3-30.el6.noarch.rpm /mnt/redhat/brewroot/packages/pki-core/9.0.3/30.el6/data/signed/fd431d51/noarch/pki-ca-9.0.3-30.el6.noarch.rpm /mnt/redhat/brewroot/packages/pki-core/9.0.3/30.el6/data/signed/fd431d51/noarch/pki-util-9.0.3-30.el6.noarch.rpm /mnt/redhat/brewroot/packages/pki-core/9.0.3/30.el6/data/signed/fd431d51/noarch/pki-common-javadoc-9.0.3-30.el6.noarch.rpm /mnt/redhat/brewroot/packages/pki-core/9.0.3/30.el6/data/signed/fd431d51/noarch/pki-util-javadoc-9.0.3-30.el6.noarch.rpm /mnt/redhat/brewroot/packages/pki-core/9.0.3/30.el6/data/signed/fd431d51/x86_64/pki-symkey-9.0.3-30.el6.x86_64.rpm /mnt/redhat/brewroot/packages/pki-core/9.0.3/30.el6/data/signed/fd431d51/noarch/pki-setup-9.0.3-30.el6.noarch.rpm /mnt/redhat/brewroot/packages/pki-core/9.0.3/30.el6/data/signed/fd431d51/noarch/pki-selinux-9.0.3-30.el6.noarch.rpm /mnt/redhat/brewroot/packages/pki-core/9.0.3/30.el6/data/signed/fd431d51/noarch/pki-java-tools-javadoc-9.0.3-30.el6.noarch.rpm /mnt/redhat/brewroot/packages/pki-core/9.0.3/30.el6/data/signed/fd431d51/noarch/pki-silent-9.0.3-30.el6.noarch.rpm
New packages: /mnt/redhat/brewroot/packages/pki-core/9.0.3/31.el6/x86_64/pki-core-debuginfo-9.0.3-31.el6.x86_64.rpm /mnt/redhat/brewroot/packages/pki-core/9.0.3/31.el6/noarch/pki-common-9.0.3-31.el6.noarch.rpm /mnt/redhat/brewroot/packages/pki-core/9.0.3/31.el6/x86_64/pki-native-tools-9.0.3-31.el6.x86_64.rpm /mnt/redhat/brewroot/packages/pki-core/9.0.3/31.el6/noarch/pki-java-tools-9.0.3-31.el6.noarch.rpm /mnt/redhat/brewroot/packages/pki-core/9.0.3/31.el6/noarch/pki-ca-9.0.3-31.el6.noarch.rpm /mnt/redhat/brewroot/packages/pki-core/9.0.3/31.el6/noarch/pki-util-9.0.3-31.el6.noarch.rpm /mnt/redhat/brewroot/packages/pki-core/9.0.3/31.el6/noarch/pki-common-javadoc-9.0.3-31.el6.noarch.rpm /mnt/redhat/brewroot/packages/pki-core/9.0.3/31.el6/noarch/pki-util-javadoc-9.0.3-31.el6.noarch.rpm /mnt/redhat/brewroot/packages/pki-core/9.0.3/31.el6/x86_64/pki-symkey-9.0.3-31.el6.x86_64.rpm /mnt/redhat/brewroot/packages/pki-core/9.0.3/31.el6/noarch/pki-setup-9.0.3-31.el6.noarch.rpm /mnt/redhat/brewroot/packages/pki-core/9.0.3/31.el6/noarch/pki-selinux-9.0.3-31.el6.noarch.rpm /mnt/redhat/brewroot/packages/pki-core/9.0.3/31.el6/noarch/pki-java-tools-javadoc-9.0.3-31.el6.noarch.rpm /mnt/redhat/brewroot/packages/pki-core/9.0.3/31.el6/noarch/pki-silent-9.0.3-31.el6.noarch.rpm
Packages on system after delete attempt - none -
end test at Thu Aug 15 14:07:57 EDT 2013 on x86-64-6cn-v1.ss.eng.bos.redhat.com
TPSRESULT: DeleteTest (Performed) Returning: FAIL

Install tests:

begin at 08/15/2013 14:07:57 on x86-64-6cn-v1.ss.eng.bos.redhat.com
PkgState: oldCnt 13 ; oldInstCnt 0 ; newCnt 13 ; newInstCnt 0 ; none = 13 ; dropCnt 0 ; addCnt 0 ; strayCnt 0
0 of 13 OLD, 0 of 13 NEW, and 0 STRAY packages are installed
doRpmCommand: rpm -i /mnt/redhat/brewroot/packages/pki-core/9.0.3/31.el6/x86_64/pki-core-debuginfo-9.0.3-31.el6.x86_64.rpm /mnt/redhat/brewroot/packages/pki-core/9.0.3/31.el6/noarch/pki-common-9.0.3-31.el6.noarch.rpm /mnt/redhat/brewroot/packages/pki-core/9.0.3/31.el6/x86_64/pki-native-tools-9.0.3-31.el6.x86_64.rpm /mnt/redhat/brewroot/packages/pki-core/9.0.3/31.el6/noarch/pki-java-tools-9.0.3-31.el6.noarch.rpm /mnt/redhat/brewroot/packages/pki-core/9.0.3/31.el6/noarch/pki-ca-9.0.3-31.el6.noarch.rpm /mnt/redhat/brewroot/packages/pki-core/9.0.3/31.el6/noarch/pki-util-9.0.3-31.el6.noarch.rpm /mnt/redhat/brewroot/packages/pki-core/9.0.3/31.el6/noarch/pki-common-javadoc-9.0.3-31.el6.noarch.rpm /mnt/redhat/brewroot/packages/pki-core/9.0.3/31.el6/noarch/pki-util-javadoc-9.0.3-31.el6.noarch.rpm /mnt/redhat/brewroot/packages/pki-core/9.0.3/31.el6/x86_64/pki-symkey-9.0.3-31.el6.x86_64.rpm /mnt/redhat/brewroot/packages/pki-core/9.0.3/31.el6/noarch/pki-setup-9.0.3-31.el6.noarch.rpm /mnt/redhat/brewroot/packages/pki-core/9.0.3/31.el6/noarch/pki-selinux-9.0.3-31.el6.noarch.rpm /mnt/redhat/brewroot/packages/pki-core/9.0.3/31.el6/noarch/pki-java-tools-javadoc-9.0.3-31.el6.noarch.rpm /mnt/redhat/brewroot/packages/pki-core/9.0.3/31.el6/noarch/pki-silent-9.0.3-31.el6.noarch.rpm
doRpmCommand-result (0): /sbin/restorecon: lstat(/etc/pki-ca*) failed: No such file or directory
/sbin/restorecon: lstat(/etc/pki-kra*) failed: No such file or directory
/sbin/restorecon: lstat(/etc/pki-ocsp*) failed: No such file or directory
/sbin/restorecon: lstat(/etc/pki-ra*) failed: No such file or directory
/sbin/restorecon: lstat(/etc/pki-tks*) failed: No such file or directory
/sbin/restorecon: lstat(/etc/pki-tps*) failed: No such file or directory
/sbin/restorecon: lstat(/etc/sysconfig/pki/ca*) failed: No such file or directory
/sbin/restorecon: lstat(/etc/sysconfig/pki/kra*) failed: No such file or directory
/sbin/restorecon: lstat(/etc/sysconfig/pki/ocsp*) failed: No such file or directory
/sbin/restorecon: lstat(/etc/sysconfig/pki/ra*) failed: No such file or directory
/sbin/restorecon: lstat(/etc/sysconfig/pki/tks*) failed: No such file or directory
/sbin/restorecon: lstat(/etc/sysconfig/pki/tps*) failed: No such file or directory
/sbin/restorecon: lstat(/opt/nfast*) failed: No such file or directory
/sbin/restorecon: lstat(/usr/bin/dtomcat5-pki-ca) failed: No such file or directory
/sbin/restorecon: lstat(/usr/bin/dtomcat5-pki-kra) failed: No such file or directory
/sbin/restorecon: lstat(/usr/bin/dtomcat5-pki-ocsp) failed: No such file or directory
/sbin/restorecon: lstat(/usr/bin/dtomcat5-pki-tks) failed: No such file or directory
/sbin/restorecon: lstat(/var/lib/pki-ca*) failed: No such file or directory
/sbin/restorecon: lstat(/var/lib/pki-kra*) failed: No such file or directory
/sbin/restorecon: lstat(/var/lib/pki-ocsp*) failed: No such file or directory
/sbin/restorecon: lstat(/var/lib/pki-ra*) failed: No such file or directory
/sbin/restorecon: lstat(/var/lib/pki-tks*) failed: No such file or directory
/sbin/restorecon: lstat(/var/lib/pki-tps*) failed: No such file or directory
/sbin/restorecon: lstat(/var/log/pki-ca*) failed: No such file or directory
/sbin/restorecon: lstat(/var/log/pki-kra*) failed: No such file or directory
/sbin/restorecon: lstat(/var/log/pki-ocsp*) failed: No such file or directory
/sbin/restorecon: lstat(/var/log/pki-ra*) failed: No such file or directory
/sbin/restorecon: lstat(/var/log/pki-tks*) failed: No such file or directory
/sbin/restorecon: lstat(/var/log/pki-tps*) failed: No such file or directory
/sbin/restorecon: lstat(/var/run/pki/ca*) failed: No such file or directory
/sbin/restorecon: lstat(/var/run/pki-ca.pid) failed: No such file or directory
/sbin/restorecon: lstat(/var/run/pki/kra*) failed: No such file or directory
/sbin/restorecon: lstat(/var/run/pki-kra.pid) failed: No such file or directory
/sbin/restorecon: lstat(/var/run/pki/ocsp*) failed: No such file or directory
/sbin/restorecon: lstat(/var/run/pki-ocsp.pid) failed: No such file or directory
/sbin/restorecon: lstat(/var/run/pki/ra*) failed: No such file or directory
/sbin/restorecon: lstat(/var/run/pki/tks*) failed: No such file or directory
/sbin/restorecon: lstat(/var/run/pki-tks.pid) failed: No such file or directory
/sbin/restorecon: lstat(/var/run/pki/tps*) failed: No such file or directory
PkgState: oldCnt 13 ; oldInstCnt 0 ; newCnt 13 ; newInstCnt 13 ; none = 0 ; dropCnt 0 ; addCnt 0 ; strayCnt 0
0 of 13 OLD, 13 of 13 NEW, and 0 STRAY packages are installed
Error|Fail string detected in rpmOutput, although new packages are present.
Install test FAILED
Output from RPM Command:
/sbin/restorecon: lstat(/etc/pki-ca*) failed: No such file or directory
/sbin/restorecon: lstat(/etc/pki-kra*) failed: No such file or directory
/sbin/restorecon: lstat(/etc/pki-ocsp*) failed: No such file or directory
/sbin/restorecon: lstat(/etc/pki-ra*) failed: No such file or directory
/sbin/restorecon: lstat(/etc/pki-tks*) failed: No such file or directory
/sbin/restorecon: lstat(/etc/pki-tps*) failed: No such file or directory
/sbin/restorecon: lstat(/etc/sysconfig/pki/ca*) failed: No such file or directory
/sbin/restorecon: lstat(/etc/sysconfig/pki/kra*) failed: No such file or directory
/sbin/restorecon: lstat(/etc/sysconfig/pki/ocsp*) failed: No such file or directory
/sbin/restorecon: lstat(/etc/sysconfig/pki/ra*) failed: No such file or directory
/sbin/restorecon: lstat(/etc/sysconfig/pki/tks*) failed: No such file or directory
/sbin/restorecon: lstat(/etc/sysconfig/pki/tps*) failed: No such file or directory
/sbin/restorecon: lstat(/opt/nfast*) failed: No such file or directory
/sbin/restorecon: lstat(/usr/bin/dtomcat5-pki-ca) failed: No such file or directory
/sbin/restorecon: lstat(/usr/bin/dtomcat5-pki-kra) failed: No such file or directory
/sbin/restorecon: lstat(/usr/bin/dtomcat5-pki-ocsp) failed: No such file or directory
/sbin/restorecon: lstat(/usr/bin/dtomcat5-pki-tks) failed: No such file or directory
/sbin/restorecon: lstat(/var/lib/pki-ca*) failed: No such file or directory
/sbin/restorecon: lstat(/var/lib/pki-kra*) failed: No such file or directory
/sbin/restorecon: lstat(/var/lib/pki-ocsp*) failed: No such file or directory
/sbin/restorecon: lstat(/var/lib/pki-ra*) failed: No such file or directory
/sbin/restorecon: lstat(/var/lib/pki-tks*) failed: No such file or directory
/sbin/restorecon: lstat(/var/lib/pki-tps*) failed: No such file or directory
/sbin/restorecon: lstat(/var/log/pki-ca*) failed: No such file or directory
/sbin/restorecon: lstat(/var/log/pki-kra*) failed: No such file or directory
/sbin/restorecon: lstat(/var/log/pki-ocsp*) failed: No such file or directory
/sbin/restorecon: lstat(/var/log/pki-ra*) failed: No such file or directory
/sbin/restorecon: lstat(/var/log/pki-tks*) failed: No such file or directory
/sbin/restorecon: lstat(/var/log/pki-tps*) failed: No such file or directory
/sbin/restorecon: lstat(/var/run/pki/ca*) failed: No such file or directory
/sbin/restorecon: lstat(/var/run/pki-ca.pid) failed: No such file or directory
/sbin/restorecon: lstat(/var/run/pki/kra*) failed: No such file or directory
/sbin/restorecon: lstat(/var/run/pki-kra.pid) failed: No such file or directory
/sbin/restorecon: lstat(/var/run/pki/ocsp*) failed: No such file or directory
/sbin/restorecon: lstat(/var/run/pki-ocsp.pid) failed: No such file or directory
/sbin/restorecon: lstat(/var/run/pki/ra*) failed: No such file or directory
/sbin/restorecon: lstat(/var/run/pki/tks*) failed: No such file or directory
/sbin/restorecon: lstat(/var/run/pki-tks.pid) failed: No such file or directory
/sbin/restorecon: lstat(/var/run/pki/tps*) failed: No such file or directory
Old packages: /mnt/redhat/brewroot/packages/pki-core/9.0.3/30.el6/data/signed/fd431d51/x86_64/pki-core-debuginfo-9.0.3-30.el6.x86_64.rpm /mnt/redhat/brewroot/packages/pki-core/9.0.3/30.el6/data/signed/fd431d51/noarch/pki-common-9.0.3-30.el6.noarch.rpm /mnt/redhat/brewroot/packages/pki-core/9.0.3/30.el6/data/signed/fd431d51/x86_64/pki-native-tools-9.0.3-30.el6.x86_64.rpm /mnt/redhat/brewroot/packages/pki-core/9.0.3/30.el6/data/signed/fd431d51/noarch/pki-java-tools-9.0.3-30.el6.noarch.rpm /mnt/redhat/brewroot/packages/pki-core/9.0.3/30.el6/data/signed/fd431d51/noarch/pki-ca-9.0.3-30.el6.noarch.rpm /mnt/redhat/brewroot/packages/pki-core/9.0.3/30.el6/data/signed/fd431d51/noarch/pki-util-9.0.3-30.el6.noarch.rpm /mnt/redhat/brewroot/packages/pki-core/9.0.3/30.el6/data/signed/fd431d51/noarch/pki-common-javadoc-9.0.3-30.el6.noarch.rpm /mnt/redhat/brewroot/packages/pki-core/9.0.3/30.el6/data/signed/fd431d51/noarch/pki-util-javadoc-9.0.3-30.el6.noarch.rpm /mnt/redhat/brewroot/packages/pki-core/9.0.3/30.el6/data/signed/fd431d51/x86_64/pki-symkey-9.0.3-30.el6.x86_64.rpm /mnt/redhat/brewroot/packages/pki-core/9.0.3/30.el6/data/signed/fd431d51/noarch/pki-setup-9.0.3-30.el6.noarch.rpm /mnt/redhat/brewroot/packages/pki-core/9.0.3/30.el6/data/signed/fd431d51/noarch/pki-selinux-9.0.3-30.el6.noarch.rpm /mnt/redhat/brewroot/packages/pki-core/9.0.3/30.el6/data/signed/fd431d51/noarch/pki-java-tools-javadoc-9.0.3-30.el6.noarch.rpm /mnt/redhat/brewroot/packages/pki-core/9.0.3/30.el6/data/signed/fd431d51/noarch/pki-silent-9.0.3-30.el6.noarch.rpm
New packages: /mnt/redhat/brewroot/packages/pki-core/9.0.3/31.el6/x86_64/pki-core-debuginfo-9.0.3-31.el6.x86_64.rpm /mnt/redhat/brewroot/packages/pki-core/9.0.3/31.el6/noarch/pki-common-9.0.3-31.el6.noarch.rpm /mnt/redhat/brewroot/packages/pki-core/9.0.3/31.el6/x86_64/pki-native-tools-9.0.3-31.el6.x86_64.rpm /mnt/redhat/brewroot/packages/pki-core/9.0.3/31.el6/noarch/pki-java-tools-9.0.3-31.el6.noarch.rpm /mnt/redhat/brewroot/packages/pki-core/9.0.3/31.el6/noarch/pki-ca-9.0.3-31.el6.noarch.rpm /mnt/redhat/brewroot/packages/pki-core/9.0.3/31.el6/noarch/pki-util-9.0.3-31.el6.noarch.rpm /mnt/redhat/brewroot/packages/pki-core/9.0.3/31.el6/noarch/pki-common-javadoc-9.0.3-31.el6.noarch.rpm /mnt/redhat/brewroot/packages/pki-core/9.0.3/31.el6/noarch/pki-util-javadoc-9.0.3-31.el6.noarch.rpm /mnt/redhat/brewroot/packages/pki-core/9.0.3/31.el6/x86_64/pki-symkey-9.0.3-31.el6.x86_64.rpm /mnt/redhat/brewroot/packages/pki-core/9.0.3/31.el6/noarch/pki-setup-9.0.3-31.el6.noarch.rpm /mnt/redhat/brewroot/packages/pki-core/9.0.3/31.el6/noarch/pki-selinux-9.0.3-31.el6.noarch.rpm /mnt/redhat/brewroot/packages/pki-core/9.0.3/31.el6/noarch/pki-java-tools-javadoc-9.0.3-31.el6.noarch.rpm /mnt/redhat/brewroot/packages/pki-core/9.0.3/31.el6/noarch/pki-silent-9.0.3-31.el6.noarch.rpm
Packages on system after install attempt - new -
pki-core-debuginfo-9.0.3-31.el6.x86_64
pki-common-9.0.3-31.el6.noarch
pki-native-tools-9.0.3-31.el6.x86_64
pki-java-tools-9.0.3-31.el6.noarch
pki-util-9.0.3-31.el6.noarch
pki-ca-9.0.3-31.el6.noarch
pki-common-javadoc-9.0.3-31.el6.noarch
pki-symkey-9.0.3-31.el6.x86_64
pki-util-javadoc-9.0.3-31.el6.noarch
pki-setup-9.0.3-31.el6.noarch
pki-selinux-9.0.3-31.el6.noarch
pki-java-tools-javadoc-9.0.3-31.el6.noarch
pki-silent-9.0.3-31.el6.noarch
end test at Thu Aug 15 14:10:08 EDT 2013 on x86-64-6cn-v1.ss.eng.bos.redhat.com
TPSRESULT: InstallTest Returning: FAIL


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 2 Nathan Kinder 2013-08-19 20:44:38 UTC
These are known benign warnings.  IIRC, the pki-selinux package performs a restorecon for any of the possible Dogtag/CS subsystems.  If those individual subsystems are not installed, restorecon outputs a warning saying that the directory doesn't exist.  This causes no issues.  Is it possible to waive these TPS failures?

Comment 3 Jenny Severance 2013-08-20 14:00:50 UTC
I prefer not to WAIVE but to fix.  Why are they passing on the other Arches?

Comment 4 Nathan Kinder 2013-08-20 20:53:53 UTC
(In reply to Jenny Galipeau from comment #3)
> I prefer not to WAIVE but to fix.  Why are they passing on the other Arches?

I'm not sure why this would pass on other arches.  The issue here is that we don't know what instance directories might exist, as they are named whatever the person installing them chose.  As you can see in the failures, we have to run restorecon using filename globs.  I suppose the return value and output of restorecon could be redirected to /dev/null, though that would make troubleshooting real failures difficult.

Note that this problem should not exist anymore in RHEL 7.0, as we don't have our own pki-selinux package anymore (it's been migrated into the system policy).

Comment 5 Nathan Kinder 2013-08-29 18:03:23 UTC
*** Bug 999918 has been marked as a duplicate of this bug. ***

Comment 6 Ade Lee 2013-09-03 14:33:01 UTC
Patch pushed for 6.5:

To ssh://vakwetu@git.fedorahosted.org/git/pki.git
   96e18f8..25aa37e  IPA_v2_RHEL_6_ERRATA_BRANCH -> IPA_v2_RHEL_6_ERRATA_BRANCH

Comment 8 Jenny Severance 2013-09-12 19:21:00 UTC
Verified :: pki-core-9.0.3-32.el6
Package sanity tests now passing for ComputeNode

Comment 9 errata-xmlrpc 2013-11-21 22:26:01 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2013-1682.html


Note You need to log in before you can comment on or make changes to this bug.